
Packaging - Bug #28032

tfm-rubygem-foreman_fog_proxmox package issue

10/10/2019 12:42 PM - Tania Hagan

Status: Rejected   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

I installed the tfm-rubygem-foreman_fog_proxmox 0.8.0 with foreman 1.23.0, katello 3.13.0, and centos 7.  However when attempting

to create a compute resource via Infrastructure -> Compute Resources, I got the following message:

Unable to save

`:disable_proxy` parameter and `:proxy` parameter cannot both be set at the same time.

I reported the issue here https://github.com/theforeman/foreman_fog_proxmox/issues/106 and was given recommendations to install

the proxmox plugin directly from git.  This worked for me, and I referred here to report the issue.

Thank you,

Tania

History

#1 - 10/10/2019 02:33 PM - Markus Bucher

As far as I analysed this issue, this is due to the fact that the 0.8.0 version of fog-proxmox on https://rubygems.org (that foreman-packaging uses)

has multiple bugs.

I am not sure what commit from git was used to create it, since there is no tag for version 0.8.0 on github and my latest search did not find the

problematic code in any of the latest commits.

Tristan Robert, can you shed some light on this.

The cleanest way to solve this would be to release a new bugfix version (e.g. 0.8.1) of fog-proxmox to rubygems and use that one.

A not so clean solution would be to create our own gem version from the latest master of fog-proxmox and push it to foreman-packaging.

I could create a PR for the not-so-clean solution, I think only Tristan Robert can push new releases to https://rubygems.org/gems/fog-proxmox.

#2 - 01/30/2020 02:38 PM - Zach Huntington-Meath

- Triaged changed from No to Yes

#3 - 04/23/2020 04:43 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Need more information

There have been updates to this gem. Is it still an issue?

#4 - 07/11/2023 02:33 PM - Ewoud Kohl van Wijngaarden

- Status changed from Need more information to Rejected

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://github.com/theforeman/foreman_fog_proxmox/issues/106
https://rubygems.org
https://projects.theforeman.org/users/11816
https://projects.theforeman.org/users/11816
https://rubygems.org/gems/fog-proxmox
http://www.tcpdf.org

